EAPI=8

inherit unpacker

DESCRIPTION="Unbound Exporter"
HOMEPAGE="https://github.com/letsencrypt/unbound_exporter"
SRC_URI="https://gitlab.com/gitlab-org/cli/-/releases/v${PV}/downloads/glab_${PV}_Linux_x86_64.deb"
SRC_URI="https://github.com/letsencrypt/unbound_exporter/releases/download/v${PV}/unbound_exporter-v${PV}.x86_64.deb"
S="${WORKDIR}"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64"

src_unpack() {
	unpack_deb ${A}
}

src_install() {
	insinto /
	doins -r usr
	fperms a+x /usr/bin/unbound_exporter
}
